#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include "frontend_getpid.h"
#include "pid_common.h"

/* Get a specified PID.
 *
 * Example:
 *
 * struct frontend_pid_data pid_data;
 * pid_data.pid = PITCH;
 * if (frontend_getpid(conn, &pid_data)) {
 * 		error
 * } else {
 * 		pid_data.p, pid_data.i, and pid_data.d are filled
 * }
 *
 * Returns 0 on success, 1 on error
 */
int frontend_getpid(
		struct backend_conn * conn, struct frontend_pid_data * pid_data) {
	
	char line[100];
	switch (pid_data->pid) {
		case PITCH :
			strncpy(line, "getpitchp\ngetpitchd\n\0", 21);
			break;
		case ROLL :
			strncpy(line, "getrollp\ngetrolld\n\0", 19);
			break;
		case YAW :
			strncpy(line, "getyawp\ngetyawd\n\0", 17);
			break;
		default :
			return 1;
	}

	int size;
	if((size = ucart_backendWrite(conn, line)) < 0 ) {
		return 1;
	}

	return 0;
}	